// #ifndef VUE3
import Vue from 'vue';
import App from './App';
// jwt解析
import weappJwt from '@/common/weapp-jwt.js';
Vue.prototype.$jwt = weappJwt;
// requset请求
import { requestBase, requestFile } from '@/common/api.js';
Vue.prototype.$api = requestBase;
Vue.prototype.$apifile = requestFile;
// 配置文件
import config from '@/config.js';
Vue.prototype.$config = config;
// 全局分享
import share from "@/common/share.js"
Vue.mixin(share);
// 主体组件
import mobileFrame from '@/components/mobile-frame/index.vue';
Vue.component('mobile-frame', mobileFrame);

Vue.config.productionTip = false;
App.mpType = 'app';
const app = new Vue({
  ...App,
});
app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
export function createApp() {
  const app = createSSRApp(App);
  return {
    app,
  };
}
// #endif

import '@/common/computed.js';
